## lxqt-openssh-askpass 0.9.0+20150817

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(lxqt-openssh-askpass)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

include(GNUInstallDirs)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

add_definitions(-Wall)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)

find_package(lxqt REQUIRED QUIET)

include(LXQtCompilerSettings NO_POLICY_SCOPE)

set(lxqt-openssh-askpass_HDRS
    src/mainwindow.h
)

set(lxqt-openssh-askpass_SRCS
    src/main.cpp
    src/mainwindow.cpp
)

set(lxqt-openssh-askpass_UIS
    src/mainwindow.ui
)

# Translations **********************************
include(LXQtTranslate)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-openssh-askpass_HDRS}
        ${lxqt-openssh-askpass_SRCS}
        ${lxqt-openssh-askpass_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-openssh_QM_LOADER ${PROJECT_NAME})
#************************************************

add_executable(lxqt-openssh-askpass
    ${lxqt-openssh-askpass_SRCS}
    ${TRS}
    ${QM_FILES}
    ${lxqt-openssh_QM_LOADER}
)
target_link_libraries(lxqt-openssh-askpass
    Qt5::Widgets
    lxqt
)

INSTALL(TARGETS
    lxqt-openssh-askpass
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)


# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== debian/changelog ===
lxqt-openssh-askpass (0.9.0+20150817-1) unstable; urgency=low

  * Initial release (Closes: #747603)

 -- ChangZhuo Chen (陳昌倬) <czchen@gmail.com>  Mon, 17 Aug 2015 23:40:43 +0800

=== debian/control ===
Source: lxqt-openssh-askpass
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-openssh-askpass.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-openssh-askpass.git
Homepage: https://github.com/lxde/lxqt-openssh-askpass

Package: lxqt-openssh-askpass
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: OpenSSH user/password GUI dialog for LXQt
 This module handles openssh security password access for LXQt. The openssh
 askpass module, will perform security tast over scale access privilegies.
 .
 The LXQt modules are desktop independent tools, and operate as daemons for the
 local user for desktop specific operations.
 .
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies, ships several core desktop components, all of which are
 optional:
 .
  * Panel
  * Desktop
  * Application launcher
  * Settings center
  * Session handler
  * Polkit handler
  * SSH password access (this)
  * Display manager handler
 .
 These components perform similar actions to those available in other
 desktop environments, and their names are self-descriptive. They are usually
 not launched by hand but automatically, when choosing a LXQt session in the
 Display Manager.

Package: lxqt-openssh-askpass-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         lxqt-openssh-askpass (= ${binary:Version}),
Description: OpenSSH user/password GUI dialog for LXQt (debug symbols)
 This module handles openssh security password access for LXQt. The openssh
 askpass module, will perform security tast over scale access privi‐ legies.
 .
 The LXQt modules are desktop independent tools, and operate as daemons for the
 local user for desktop specific operations.
 .
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies, ships several core desktop components, all of which are
 optional:
 .
  * Panel
  * Desktop
  * Application launcher
  * Settings center
  * Session handler
  * Polkit handler
  * SSH password access (this)
  * Display manager handler
 .
 These components perform similar actions to those available in other
 desktop environments, and their names are self-descriptive. They are usually
 not launched by hand but automatically, when choosing a LXQt session in the
 Display Manager.
 .
 This package contain the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake --parallel

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxqt-openssh-askpass

override_dh_strip:
	dh_strip --dbg-package=lxqt-openssh-askpass-dbg

=== debian/watch ===
version=3
https://github.com/lxde/lxqt-openssh-askpass/releases .*/([\d\.]+).tar.gz

## lxqt-openssh-askpass 0.10.0

=== debian/changelog ===
lxqt-openssh-askpass (0.10.0-6) unstable; urgency=medium

  * Added debian/{postinst,prerm} (Closes: 827912)
    thanks Jordi Pujol Palomer <jordipujolp@gmail.com>
  * Bump standards to 3.9.8
  * Bump copyright years
  * Finally fixed git-links

 -- Alf Gaida <agaida@siduction.org>  Thu, 30 Jun 2016 18:32:31 +0200

lxqt-openssh-askpass (0.10.0-5) unstable; urgency=medium

  * Bump standards to 3.9.7
  * Added Yuan CHAO to copyright
  * Use secured VCS-links
  * Added hardening += all to rules

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Mar 2016 12:02:04 +0200

lxqt-openssh-askpass (0.10.0-4) unstable; urgency=low

  * Adding "Provides: ssh-askpass". Closes: #818684

 -- Yuan CHAO <yuanchao@gmail.com>  Tue, 22 Mar 2016 20:42:55 +0800

lxqt-openssh-askpass (0.10.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 19:17:12 +0100

lxqt-openssh-askpass (0.10.0-2) unstable; urgency=medium

  * Merge branch 'debian/experimental' into debian/sid
  * New upstream release
  * Set minimum versions for libqtxdg and liblxqt
  * Fixed debian/docs (README -> README.md)
  * Removed typo.patch, applied upstream
  * Added upstream signing key and used it in watch file
  * Fixed VCS-Fields

 -- Alf Gaida <agaida@siduction.org>  Thu, 19 Nov 2015 00:09:26 +0100

lxqt-openssh-askpass (0.9.0+20150817-2) unstable; urgency=medium

  * Fixed mail address of czchen
  * Removed some not needed minimum versions
  * Cleaned up .gitignore

 -- Alf Gaida <agaida@siduction.org>  Thu, 12 Nov 2015 00:25:47 +0100

=== debian/control ===
Source: lxqt-openssh-askpass
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Yukiharu YABUKI <yyabuki@debian.org>,
           Yuan CHAO <yuanchao@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.10.0),
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/lxqt-openssh-askpass.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-openssh-askpass.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-openssh-askpass

Package: lxqt-openssh-askpass
Architecture: any
Provides: ssh-askpass
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: OpenSSH user/password GUI dialog for LXQt
 This module handles openssh security password access for LXQt. The openssh
 askpass module, will perform security tast over scale access privilegies.
 .
 The LXQt modules are desktop independent tools, and operate as daemons for the
 local user for desktop specific operations.
 .
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies, ships several core desktop components, all of which are
 optional:
 .
  * Panel
  * Desktop
  * Application launcher
  * Settings center
  * Session handler
  * Polkit handler
  * SSH password access (this)
  * Display manager handler
 .
 These components perform similar actions to those available in other
 desktop environments, and their names are self-descriptive. They are usually
 not launched by hand but automatically, when choosing a LXQt session in the
 Display Manager.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--parallel

## lxqt-openssh-askpass 0.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-openssh-askpass)

add_definitions(-Wall)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(Qt5Widgets REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")

find_package(lxqt REQUIRED)

include(LXQtCompilerSettings NO_POLICY_SCOPE)

set(lxqt-openssh-askpass_HDRS
    src/mainwindow.h
)

set(lxqt-openssh-askpass_SRCS
    src/main.cpp
    src/mainwindow.cpp
)

set(lxqt-openssh-askpass_UIS
    src/mainwindow.ui
)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

# Translations **********************************
include(LXQtTranslate)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-openssh-askpass_HDRS}
        ${lxqt-openssh-askpass_SRCS}
        ${lxqt-openssh-askpass_UIS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
)

lxqt_app_translation_loader(lxqt-openssh_QM_LOADER ${PROJECT_NAME})
#************************************************

add_executable(lxqt-openssh-askpass
    ${lxqt-openssh-askpass_SRCS}
    ${TRS}
    ${QM_FILES}
    ${lxqt-openssh_QM_LOADER}
)
target_link_libraries(lxqt-openssh-askpass
    Qt5::Widgets
    lxqt
)

INSTALL(TARGETS
    lxqt-openssh-askpass
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-openssh-askpass (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Added Suggests: lxqt | lxqt-core
  * Added Recommends: lxqt-qtplugin, lxqt-session (Closes: #866254)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 01:42:15 +0200

lxqt-openssh-askpass (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 14:19:37 +0100

lxqt-openssh-askpass (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Synced debian foo with experimental
  * Bumped compat to 10
  * Removed --parallel from rules, standard in compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Bumped build dependency liblxqt-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added Recommends lxqt-notificationd-l10n
  * Fixed copyright Format field
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 16:50:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,14 @@
            Yuan CHAO <yuanchao@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cmake (>= 3.0.2),
+Build-Depends: debhelper (>= 10),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.10.0),
+               liblxqt0-dev (>= 0.11.1),
+               libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 1.3.0),
-               libx11-dev,
-               pkg-config,
-               qttools5-dev,
-               qttools5-dev-tools,
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/lxqt-openssh-askpass.git/?h=debian/sid
+               libx11-dev
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-openssh-askpass.git/?h=debian/sid
 Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-openssh-askpass.git -b debian/sid
 Homepage: https://github.com/lxde/lxqt-openssh-askpass
 
@@ -27,6 +23,10 @@
 Provides: ssh-askpass
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Recommends: lxqt-openssh-askpass-l10n,
+            lxqt-qtplugin,
+            lxqt-session
+Suggests: lxqt | lxqt-core
 Description: OpenSSH user/password GUI dialog for LXQt
  This module handles openssh security password access for LXQt. The openssh
  askpass module, will perform security tast over scale access privilegies.

## lxqt-openssh-askpass 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,11 +13,21 @@
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-find_package(Qt5LinguistTools REQUIRED QUIET)
+find_package(Qt5LinguistTools REQUIRED)
 find_package(Qt5Widgets REQUIRED)
-message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
+message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 find_package(lxqt REQUIRED)
+
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+# Patch Version
+set(LXQT_ASKPASS_PATCH_VERSION 0)
+
+set(LXQT_ASKPASS_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_ASKPASS_VERSION})
+add_definitions("-DLXQT_ASKPASS_VERSION=\"${LXQT_ASKPASS_VERSION}\"")
 
 include(LXQtCompilerSettings NO_POLICY_SCOPE)

=== debian/changelog ===
lxqt-openssh-askpass (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 21:13:10 +0100

lxqt-openssh-askpass (0.12.0-2) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 23:52:58 +0100

lxqt-openssh-askpass (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1 - no changes needed
  * Bumped liblxqt dependency to >= 0.12.0

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 18:39:44 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.1),
+               liblxqt0-dev (>= 0.12.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-openssh-askpass.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-openssh-askpass.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-openssh-askpass.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-openssh-askpass.git
 Homepage: https://github.com/lxde/lxqt-openssh-askpass
 
 Package: lxqt-openssh-askpass

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-openssh-askpass/releases .*/lxqt-openssh-askpass-([\d\.]+).tar.xz

## lxqt-openssh-askpass 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 set(LXQT_ASKPASS_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_ASKPASS_VERSION})
 add_definitions("-DLXQT_ASKPASS_VERSION=\"${LXQT_ASKPASS_VERSION}\"")
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 set(lxqt-openssh-askpass_HDRS

=== debian/changelog ===
lxqt-openssh-askpass (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 16:46:48 -0700

lxqt-openssh-askpass (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 22:11:57 +0200

lxqt-openssh-askpass (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 15:07:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-openssh-askpass
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -7,16 +8,16 @@
            Yuan CHAO <yuanchao@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.12.0),
+               liblxqt0-dev (>= 0.13.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-openssh-askpass.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-openssh-askpass.git
-Homepage: https://github.com/lxde/lxqt-openssh-askpass
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
+Homepage: https://github.com/lxqt/lxqt-openssh-askpass
 
 Package: lxqt-openssh-askpass
 Architecture: any

## lxqt-openssh-askpass 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-openssh-askpass)
-
-add_definitions(-Wall)
 
 include(GNUInstallDirs)
 
@@ -13,15 +15,14 @@
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-find_package(Qt5LinguistTools REQUIRED)
-find_package(Qt5Widgets REQUIRED)
+# Minimum Versions
+set(LXQT_MINIMUM_VERSION "0.14.0")
+set(QT_MINIMUM_VERSION "5.7.1")
+
+find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
-
-find_package(lxqt REQUIRED)
-
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
 
 # Patch Version
 set(LXQT_ASKPASS_PATCH_VERSION 0)
@@ -45,10 +46,6 @@
     src/mainwindow.ui
 )
 
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
-
 # Translations **********************************
 include(LXQtTranslate)
 
@@ -61,14 +58,6 @@
         ${lxqt-openssh-askpass_UIS}
     INSTALL_DIR
         "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
 )
 
 lxqt_app_translation_loader(lxqt-openssh_QM_LOADER ${PROJECT_NAME})
@@ -80,6 +69,15 @@
     ${QM_FILES}
     ${lxqt-openssh_QM_LOADER}
 )
+
+target_compile_definitions(lxqt-openssh-askpass
+    PRIVATE
+        "QT_NO_CAST_FROM_ASCII"
+        "QT_NO_CAST_TO_ASCII"
+        "QT_NO_URL_CAST_FROM_STRING"
+        "QT_NO_CAST_FROM_BYTEARRAY"
+)
+
 target_link_libraries(lxqt-openssh-askpass
     Qt5::Widgets
     lxqt
@@ -90,3 +88,9 @@
     RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
     COMPONENT Runtime
 )
+
+install(FILES
+    man/lxqt-openssh-askpass.1
+    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
+    COMPONENT Runtime
+)

=== debian/changelog ===
lxqt-openssh-askpass (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Fixed d/manpages
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 18:25:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lxqt-openssh-askpass
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -8,13 +7,13 @@
            Yuan CHAO <yuanchao@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.13.0~),
+               liblxqt0-dev (>= 0.14.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
 Homepage: https://github.com/lxqt/lxqt-openssh-askpass
@@ -52,3 +51,14 @@
  desktop environments, and their names are self-descriptive. They are usually
  not launched by hand but automatically, when choosing a LXQt session in the
  Display Manager.
+
+Package: lxqt-openssh-askpass-l10n
+Architecture: all
+Multi-Arch: foreign
+Section: localization
+Depends: ${misc:Depends},
+         qttranslations5-l10n
+Breaks: lxqt-openssh-askpass (<< 0.11.0)
+Replaces: lxqt-openssh-askpass (<< 0.11.0)
+Description: Language package for lxqt-openssh-askpass
+ This package contains the l10n files needed by the lxqt-openssh-askpass.

## lxqt-openssh-askpass 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 set(QT_MINIMUM_VERSION "5.7.1")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -25,7 +25,7 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_ASKPASS_PATCH_VERSION 0)
+set(LXQT_ASKPASS_PATCH_VERSION 1)
 
 set(LXQT_ASKPASS_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_ASKPASS_VERSION})
 add_definitions("-DLXQT_ASKPASS_VERSION=\"${LXQT_ASKPASS_VERSION}\"")

=== debian/changelog ===
lxqt-openssh-askpass (0.14.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Update build depends.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Fri, 31 Jan 2020 16:57:22 +0530

lxqt-openssh-askpass (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum version liblxqt0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 02:01:54 +0100

lxqt-openssh-askpass (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:10:40 -0600

lxqt-openssh-askpass (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add new lxqt-openssh-askpass-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 00:27:56 -0600

lxqt-openssh-askpass (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.
  * Update copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:41:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-openssh-askpass
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -7,25 +8,24 @@
            Yuan CHAO <yuanchao@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.0~),
+               liblxqt0-dev (>= 0.14.1~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
 Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
+Vcs-Browser: https://phab.lubuntu.me/source/lxqt-openssh-askpass/
+Vcs-Git: https://phab.lubuntu.me/source/lxqt-openssh-askpass.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
 Homepage: https://github.com/lxqt/lxqt-openssh-askpass
 
 Package: lxqt-openssh-askpass
 Architecture: any
 Provides: ssh-askpass
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: lxqt-openssh-askpass-l10n,
-            lxqt-qtplugin,
-            lxqt-session
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: lxqt-openssh-askpass-l10n, lxqt-qtplugin, lxqt-session
 Suggests: lxqt | lxqt-core
 Description: OpenSSH user/password GUI dialog for LXQt
  This module handles openssh security password access for LXQt. The openssh
@@ -56,9 +56,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qttranslations5-l10n
+Depends: qttranslations5-l10n, ${misc:Depends}
 Breaks: lxqt-openssh-askpass (<< 0.11.0)
 Replaces: lxqt-openssh-askpass (<< 0.11.0)
 Description: Language package for lxqt-openssh-askpass
- This package contains the l10n files needed by the lxqt-openssh-askpass.
+ This package contains the l10n files needed by lxqt-openssh-askpass.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF\
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-openssh-askpass/releases .*/lxqt-openssh-askpass-([\d\.]+).tar.xz

## lxqt-openssh-askpass 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -25,9 +25,9 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_ASKPASS_PATCH_VERSION 1)
+set(LXQT_ASKPASS_PATCH_VERSION 0)
 
-set(LXQT_ASKPASS_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ADMIN_ASKPASS_VERSION})
+set(LXQT_ASKPASS_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_ASKPASS_PATCH_VERSION})
 add_definitions("-DLXQT_ASKPASS_VERSION=\"${LXQT_ASKPASS_VERSION}\"")
 
 include(LXQtPreventInSourceBuilds)
@@ -70,14 +70,6 @@
     ${lxqt-openssh_QM_LOADER}
 )
 
-target_compile_definitions(lxqt-openssh-askpass
-    PRIVATE
-        "QT_NO_CAST_FROM_ASCII"
-        "QT_NO_CAST_TO_ASCII"
-        "QT_NO_URL_CAST_FROM_STRING"
-        "QT_NO_CAST_FROM_BYTEARRAY"
-)
-
 target_link_libraries(lxqt-openssh-askpass
     Qt5::Widgets
     lxqt

=== debian/changelog ===
lxqt-openssh-askpass (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build depends.
  * Bump Standards-version to 4.5.0, no changes needed.
  * Migrate to debhelper-compat.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:06:26 -0500

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
            Yuan CHAO <yuanchao@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.1~),
+               liblxqt0-dev (>= 0.15.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-openssh-askpass/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-openssh-askpass.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass

## lxqt-openssh-askpass 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-openssh-askpass (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bump debhelper-compat reuqirement to 13.
  * Fixed manpages.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 00:54:39 +0530

lxqt-openssh-askpass (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.
  * debian/control: fix typo in package description. (Closes: #929314)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 16:22:33 +0800

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
            Yuan CHAO <yuanchao@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.15.0),
+               liblxqt0-dev (>= 0.16.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
@@ -29,7 +29,7 @@
 Suggests: lxqt | lxqt-core
 Description: OpenSSH user/password GUI dialog for LXQt
  This module handles openssh security password access for LXQt. The openssh
- askpass module, will perform security tast over scale access privilegies.
+ askpass module, will perform security test over scale access privileges.
  .
  The LXQt modules are desktop independent tools, and operate as daemons for the
  local user for desktop specific operations.

## lxqt-openssh-askpass 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-openssh-askpass (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
    - Extend lxqt-openssh-askpass-l10n package description
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Tue, 17 Aug 2021 15:43:58 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.16.0~),
+               liblxqt0-dev (>= 0.17.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-openssh-askpass/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-openssh-askpass.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
@@ -60,4 +60,6 @@
 Breaks: lxqt-openssh-askpass (<< 0.11.0)
 Replaces: lxqt-openssh-askpass (<< 0.11.0)
 Description: Language package for lxqt-openssh-askpass
+ The l10n files for lxqt-openssh-askpass.
+ .
  This package contains the l10n files needed by lxqt-openssh-askpass.

## lxqt-openssh-askpass 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-openssh-askpass (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 15:45:13 +0800

lxqt-openssh-askpass (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Bump debhelper compat to 13, no changes needed.
  * Run wrap-and-sort.
  * Remove some old Breaks/Replaces.
  * Grab some useful changes from Ubuntu so we can sync.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 13 Jul 2022 19:27:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lxqt-openssh-askpass
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -10,15 +9,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.17.0),
+               liblxqt1-dev (>= 1.1.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://phab.lubuntu.me/source/lxqt-openssh-askpass/
-Vcs-Git: https://phab.lubuntu.me/source/lxqt-openssh-askpass.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
 Homepage: https://github.com/lxqt/lxqt-openssh-askpass
 
 Package: lxqt-openssh-askpass
@@ -57,8 +54,6 @@
 Multi-Arch: foreign
 Section: localization
 Depends: qttranslations5-l10n, ${misc:Depends}
-Breaks: lxqt-openssh-askpass (<< 0.11.0)
-Replaces: lxqt-openssh-askpass (<< 0.11.0)
 Description: Language package for lxqt-openssh-askpass
  The l10n files for lxqt-openssh-askpass.
  .

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,11 @@
 %:
 	dh ${@} --buildsystem cmake
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DPULL_TRANSLATIONS=OFF\
-		-DUPDATE_TRANSLATIONS=OFF\
+		-DPULL_TRANSLATIONS=OFF \
+		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-openssh-askpass 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== translations/CMakeLists.txt ===
project(lxqt-openssh-askpass)

build_component("." "")

=== debian/changelog ===
lxqt-openssh-askpass (1.2.0-1ubuntu1) lunar; urgency=medium

  * Revert a sync from Debian.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Removed obsolete '-Wl,--as-needed' linker flag.
  * Updated copyright file.
  * Removed trailing whitespace from changelog.
  * Created debian/upstream/metadata.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 12 Feb 2023 21:53:32 -0600

lxqt-openssh-askpass (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Bump build dependencies in debian/control.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Briefly update the copyright file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 17:28:15 -0600

lxqt-openssh-askpass (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Remove old Breaks/Replaces, since we're past the LTS.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 01 Jun 2022 16:08:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-openssh-askpass
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -9,14 +10,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.1.0),
+               liblxqt1-dev (>= 1.2.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-openssh-askpass-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-openssh-askpass-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
 Homepage: https://github.com/lxqt/lxqt-openssh-askpass
+Rules-Requires-Root: no
 
 Package: lxqt-openssh-askpass
 Architecture: any

## lxqt-openssh-askpass 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-openssh-askpass (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:50:57 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.2.0),
+               liblxqt1-dev (>= 1.3.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev

## lxqt-openssh-askpass 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(LXQT_MINIMUM_VERSION "1.3.0")
+set(LXQT_MINIMUM_VERSION "1.4.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-openssh-askpass (1.4.0-2) unstable; urgency=medium

  [ Macy Lin ]
  * debian/control: build-deps on qttools5-dev. (Closes:#1078297)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 10 Sep 2024 20:23:46 +0200

lxqt-openssh-askpass (1.4.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Suppress blhc error.

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.4.0.
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 10 Dec 2023 17:02:14 +0100

lxqt-openssh-askpass (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/control: clean up build-deps.
  * debian/copyright: update.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: update url for git repo.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Jul 2023 13:07:47 +0200

lxqt-openssh-askpass (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Remove unnecessary --fail-missing in d/rules.
  * Remove unnecessary -Wl,--as-needed in d/rules.
  * Update d/watch for GitHub.
  * Add Repository-Browse in d/upstream/metadata.
  * Use LF in d/upstream/signing-key.asc.
  * Change indent for d/control.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 15 Dec 2022 00:19:20 +0800

=== debian/control ===
Source: lxqt-openssh-askpass
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.4.0~),
               libqt5x11extras5-dev,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-openssh-askpass.git
Homepage: https://github.com/lxqt/lxqt-openssh-askpass
Rules-Requires-Root: no

Package: lxqt-openssh-askpass
Architecture: any
Provides: ssh-askpass
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-openssh-askpass-l10n,
            lxqt-qtplugin,
            lxqt-session
Suggests: lxqt | lxqt-core
Description: OpenSSH user/password GUI dialog for LXQt
 This module handles openssh security password access for LXQt. The openssh
 askpass module, will perform security test over scale access privileges.
 .
 The LXQt modules are desktop independent tools, and operate as daemons for the
 local user for desktop specific operations.
 .
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies, ships several core desktop components, all of which are
 optional:
 .
  * Panel
  * Desktop
  * Application launcher
  * Settings center
  * Session handler
  * Polkit handler
  * SSH password access (this)
  * Display manager handler
 .
 These components perform similar actions to those available in other
 desktop environments, and their names are self-descriptive. They are usually
 not launched by hand but automatically, when choosing a LXQt session in the
 Display Manager.

Package: lxqt-openssh-askpass-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-openssh-askpass
 The l10n files for lxqt-openssh-askpass.
 .
 This package contains the l10n files needed by lxqt-openssh-askpass.
